'use strict';

var objectParam = arr => {
  var str = '';

  if (Array.isArray(arr)) {
    str = arr.map(function (item) {
      return item.name + '=' + item.value;
    }).join('&');
  } else {
    str = objectParam(objectBigParam(arr));
  }

  return str;
};

var objectBigParam = obj => {
  var arr = [];
  Object.keys(obj).forEach(function (k) {
    if (Array.isArray(obj[k])) {
      arr = arr.concat(obj[k].map(function (v) {
        return {
          name: k,
          value: v
        };
      }));
    } else {
      arr.push({
        name: k,
        value: obj[k]
      });
    }
  });
  return arr;
};

module.exports = objectParam;
